libetonyek Namespace Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Enumerations | Functions
libetonyek Namespace Reference

## Namespaces
| detail
| KEY1Token
| KEY2Token
| NUMToken
| PAGToken
| transformations
| Special transformation constructors.

## Classes
class | EndOfStreamException
class | GenericException
class | KEY1Defaults
| Default values for version 1 of the format. More...
class | KEY1Parser
struct | KEY1Tokenizer
class | KEY2Defaults
| Default values for versions 2–5 of the format. More...
class | KEY2Parser
class | KEY2ParserUtils
| A "mixin" containing a set of helper functions used in parser classes. More...
class | KEY2StyleParser
class | KEY2TableParser
struct | KEY2Tokenizer
struct | KEYBinary
class | KEYCellStyle
| Represents a cell style. More...
class | KEYCharacterStyle
| Represents a character style. More...
class | KEYCollector
class | KEYCollectorBase
| Implementation of common parts of styles and content collector. More...
struct | KEYColor
class | KEYConnectionStyle
| Represents a connection style. More...
class | KEYContentCollector
struct | KEYData
class | KEYDefaults
| A representation of default values for various parts of the format. More...
struct | KEYDictionary
| A dictionary of all referenceable entities in the presentation. More...
struct | KEYDummyDeleter
struct | KEYGeometry
class | KEYGraphicStyle
| Represents a graphic style. More...
struct | KEYGroup
struct | KEYImage
struct | KEYLayer
class | KEYLayoutStyle
| Represents a layout style. More...
struct | KEYLine
class | KEYListStyle
| Represents a list style. More...
struct | KEYMedia
struct | KEYMediaContent
class | KEYMemoryStream
class | KEYObject
| An interface for saved presentation objects. More...
class | KEYOutput
| A context for drawing instances of `KEYObject`. More...
struct | KEYPadding
class | KEYParagraphStyle
| Represents a paragraph style. More...
class | KEYParser
class | KEYPath
struct | KEYPlaceholder
class | KEYPlaceholderStyle
| Represents a placeholder style. More...
struct | KEYPosition
class | KEYPropertyMap
| Represents a (hierarchical) property map. More...
struct | KEYShape
| Representation of a shape. More...
struct | KEYSize
class | KEYSlideStyle
| Represents a slide style. More...
struct | KEYStickyNote
class | KEYStyle
| Represents a hierarchical style. More...
class | KEYStyleBase
| A common implementation of a style. More...
class | KEYStyleContext
| Representation of a dynamic inheritance of styles. More...
struct | KEYStylesheet
| Representation of a stylesheet. More...
class | KEYTable
struct | KEYTabStop
class | KEYTabularStyle
| Represents a tabular style. More...
class | KEYText
class | KEYThemeCollector
class | KEYTransformation
| Represents an affine transformation. More...
class | KEYVectorStyle
| Represents a vector style. More...
struct | KEYWrap
class | KEYXMLReader
class | KEYZlibStream
class | NUMCollector
class | NUMParser
struct | NUMTokenizer
class | PAGCollector
class | PAGParser
struct | PAGTokenizer

## Typedefs
typedef boost::shared_ptr< KEYObject > | KEYObjectPtr_t
typedef std::deque< KEYObjectPtr_t > | KEYObjectList_t
| A list of presentation objects. More...
typedef boost::shared_ptr< KEYPath > | KEYPathPtr_t
typedef boost::unordered_map< ID_t, KEYPathPtr_t > | KEYPathMap_t
typedef boost::shared_ptr< KEYShape > | KEYShapePtr_t
typedef boost::shared_ptr< KEYStyle > | KEYStylePtr_t
typedef boost::unordered_map< ID_t, KEYStylePtr_t > | KEYStyleMap_t
typedef boost::shared_ptr< KEYCellStyle > | KEYCellStylePtr_t
typedef boost::unordered_map< ID_t, KEYCellStylePtr_t > | KEYCellStyleMap_t
typedef boost::shared_ptr< KEYCharacterStyle > | KEYCharacterStylePtr_t
typedef boost::unordered_map< ID_t, KEYCharacterStylePtr_t > | KEYCharacterStyleMap_t
typedef boost::shared_ptr< KEYConnectionStyle > | KEYConnectionStylePtr_t
typedef boost::unordered_map< ID_t, KEYConnectionStylePtr_t > | KEYConnectionStyleMap_t
typedef boost::shared_ptr< KEYGraphicStyle > | KEYGraphicStylePtr_t
typedef boost::unordered_map< ID_t, KEYGraphicStylePtr_t > | KEYGraphicStyleMap_t
typedef boost::shared_ptr< KEYLayoutStyle > | KEYLayoutStylePtr_t
typedef boost::unordered_map< ID_t, KEYLayoutStylePtr_t > | KEYLayoutStyleMap_t
typedef boost::shared_ptr< KEYListStyle > | KEYListStylePtr_t
typedef boost::unordered_map< ID_t, KEYListStylePtr_t > | KEYListStyleMap_t
typedef boost::shared_ptr< KEYParagraphStyle > | KEYParagraphStylePtr_t
typedef boost::unordered_map< ID_t, KEYParagraphStylePtr_t > | KEYParagraphStyleMap_t
typedef boost::shared_ptr< KEYPlaceholderStyle > | KEYPlaceholderStylePtr_t
typedef boost::unordered_map< ID_t, KEYPlaceholderStylePtr_t > | KEYPlaceholderStyleMap_t
typedef boost::shared_ptr< KEYSlideStyle > | KEYSlideStylePtr_t
typedef boost::unordered_map< ID_t, KEYSlideStylePtr_t > | KEYSlideStyleMap_t
typedef boost::shared_ptr< KEYTabularStyle > | KEYTabularStylePtr_t
typedef boost::unordered_map< ID_t, KEYTabularStylePtr_t > | KEYTabularStyleMap_t
typedef boost::shared_ptr< KEYVectorStyle > | KEYVectorStylePtr_t
typedef boost::unordered_map< ID_t, KEYVectorStylePtr_t > | KEYVectorStyleMap_t
typedef boost::shared_ptr< KEYStylesheet > | KEYStylesheetPtr_t
typedef boost::unordered_map< ID_t, KEYStylesheetPtr_t > | KEYStylesheetMap_t
typedef boost::shared_ptr< KEYText > | KEYTextPtr_t
typedef std::deque< KEYStickyNote > | KEYStickyNotes_t
typedef std::deque< KEYTabStop > | KEYTabStops_t
typedef std::string | ID_t
typedef boost::shared_ptr< KEYGeometry > | KEYGeometryPtr_t
typedef boost::shared_ptr< KEYLine > | KEYLinePtr_t
typedef boost::shared_ptr< KEYData > | KEYDataPtr_t
typedef boost::unordered_map< ID_t, KEYDataPtr_t > | KEYDataMap_t
typedef boost::shared_ptr< KEYMediaContent > | KEYMediaContentPtr_t
typedef boost::unordered_map< ID_t, KEYMediaContentPtr_t > | KEYMediaContentMap_t
typedef boost::shared_ptr< KEYImage > | KEYImagePtr_t
typedef boost::unordered_map< ID_t, KEYImagePtr_t > | KEYImageMap_t
typedef boost::shared_ptr< KEYMedia > | KEYMediaPtr_t
typedef boost::shared_ptr< KEYWrap > | KEYWrapPtr_t
typedef boost::shared_ptr< KEYGroup > | KEYGroupPtr_t
typedef boost::shared_ptr< KEYLayer > | KEYLayerPtr_t
typedef boost::unordered_map< ID_t, KEYLayerPtr_t > | KEYLayerMap_t
typedef boost::shared_ptr< KEYPlaceholder > | KEYPlaceholderPtr_t
typedef boost::unordered_map< ID_t, KEYPlaceholderPtr_t > | KEYPlaceholderMap_t
typedef boost::shared_ptr< librevenge::RVNGInputStream > | RVNGInputStreamPtr_t

## Enumerations
enum | KEYAlignment { KEY_ALIGNMENT_LEFT, KEY_ALIGNMENT_RIGHT, KEY_ALIGNMENT_CENTER, KEY_ALIGNMENT_JUSTIFY }
enum | KEYBaseline { KEY_BASELINE_NORMAL, KEY_BASELINE_SUB, KEY_BASELINE_SUPER }
enum | KEYCapitalization { KEY_CAPITALIZATION_NONE, KEY_CAPITALIZATION_ALL_CAPS, KEY_CAPITALIZATION_SMALL_CAPS, KEY_CAPITALIZATION_TITLE }

## Functions
void | drawAll (const KEYObjectList_t &list, const KEYOutput &output)
| Draw all objects of list using `output` as context. More...
bool | approxEqual (const KEYPath &left, const KEYPath &right, const double eps)
bool | operator== (const KEYPath &left, const KEYPath &right)
bool | operator!= (const KEYPath &left, const KEYPath &right)
KEYPath | operator* (const KEYPath &path, const KEYTransformation &tr)
| Create a transformed path. More...
KEYObjectPtr_t | makeObject (const KEYShapePtr_t &shape)
| Object creator function for shape. More...
KEYPathPtr_t | makePolygonPath (const KEYSize &size, unsigned edges)
| Path creator functions for stock shapes. More...
KEYPathPtr_t | makeRoundedRectanglePath (const KEYSize &size, const double radius)
KEYPathPtr_t | makeArrowPath (const KEYSize &size, const double headWidth, const double stemThickness)
KEYPathPtr_t | makeDoubleArrowPath (const KEYSize &size, const double headWidth, const double stemThickness)
KEYPathPtr_t | makeStarPath (const KEYSize &size, const unsigned points, const double innerRadius)
KEYPathPtr_t | makeConnectionPath (const KEYSize &size, const double middleX, const double middleY)
KEYPathPtr_t | makeCalloutPath (const KEYSize &size, const double radius, const double tailSize, const double tailX, const double tailY)
KEYPathPtr_t | makeQuoteBubblePath (const KEYSize &size, const double radius, const double tailSize, const double tailX, const double tailY)
KEYObjectPtr_t | makeObject (const KEYTable &table)
KEYObjectPtr_t | makeObject (const KEYTextPtr_t &text)
KEYTransformation | operator* (const KEYTransformation &left, const KEYTransformation &right)
| Create a new transformation as a composition of two transformations. More...
bool | operator== (const KEYTransformation &left, const KEYTransformation &right)
| Tests for equality of transformations. More...
bool | operator!= (const KEYTransformation &left, const KEYTransformation &right)
| Tests for inequality of transformations. More...
KEYTransformation | makeTransformation (const KEYGeometry &geometry)
| Create a transformation from a geometry. More...
KEYObjectPtr_t | makeObject (const KEYGroupPtr_t &group)
KEYObjectPtr_t | makeObject (const KEYImagePtr_t &image)
KEYObjectPtr_t | makeObject (const KEYLinePtr_t &line)
KEYObjectPtr_t | makeObject (const KEYMediaPtr_t &media)
KEYObjectPtr_t | makeObject (const KEYPlaceholderPtr_t &body)
int | getNameId (const KEYXMLReader::AttributeIterator &attribute)
int | getNamespaceId (const KEYXMLReader::AttributeIterator &attribute)
int | getId (const KEYXMLReader::AttributeIterator &attribute)
int | getValueId (const KEYXMLReader::AttributeIterator &attribute)
int | getNameId (const KEYXMLReader::ElementIterator &element)
int | getNamespaceId (const KEYXMLReader::ElementIterator &element)
int | getId (const KEYXMLReader::ElementIterator &element)
int | getTextId (const KEYXMLReader::ElementIterator &element)
int | getNameId (const KEYXMLReader &reader)
int | getNamespaceId (const KEYXMLReader &reader)
int | getId (const KEYXMLReader &reader)
uint8_t | readU8 (const RVNGInputStreamPtr_t &input, bool)
uint16_t | readU16 (const RVNGInputStreamPtr_t &input, bool bigEndian)
uint32_t | readU32 (const RVNGInputStreamPtr_t &input, bool bigEndian)
uint64_t | readU64 (const RVNGInputStreamPtr_t &input, bool bigEndian)
bool | approxEqual (double x, double y, double eps=KEY_EPSILON)
| Test two floating point numbers for equality. More...
double | pt2in (double d)
| Convert a length from points to inches. More...
void | skipElement (const KEYXMLReader &reader)
bool | checkElement (const KEYXMLReader &reader, const int name, const int ns)
bool | checkEmptyElement (const KEYXMLReader &reader)
bool | checkNoAttributes (const KEYXMLReader &reader)
string | readOnlyAttribute (const KEYXMLReader &reader, const int name, const int ns)
string | readOnlyElementAttribute (const KEYXMLReader &reader, const int name, const int ns)

## Typedef Documentation

typedef std::string libetonyek::ID_t

typedef boost::unordered_map<ID_t, KEYCellStylePtr_t> libetonyek::KEYCellStyleMap_t

typedef boost::shared_ptr<KEYCellStyle> libetonyek::KEYCellStylePtr_t

typedef boost::unordered_map<ID_t, KEYCharacterStylePtr_t> libetonyek::KEYCharacterStyleMap_t

typedef boost::shared_ptr<KEYCharacterStyle> libetonyek::KEYCharacterStylePtr_t

typedef boost::unordered_map<ID_t, KEYConnectionStylePtr_t> libetonyek::KEYConnectionStyleMap_t

typedef boost::shared_ptr<KEYConnectionStyle> libetonyek::KEYConnectionStylePtr_t

typedef boost::unordered_map<ID_t, KEYDataPtr_t> libetonyek::KEYDataMap_t

typedef boost::shared_ptr<KEYData> libetonyek::KEYDataPtr_t

typedef boost::shared_ptr<KEYGeometry> libetonyek::KEYGeometryPtr_t

typedef boost::unordered_map<ID_t, KEYGraphicStylePtr_t> libetonyek::KEYGraphicStyleMap_t

typedef boost::shared_ptr<KEYGraphicStyle> libetonyek::KEYGraphicStylePtr_t

typedef boost::shared_ptr<KEYGroup> libetonyek::KEYGroupPtr_t

typedef boost::unordered_map<ID_t, KEYImagePtr_t> libetonyek::KEYImageMap_t

typedef boost::shared_ptr<KEYImage> libetonyek::KEYImagePtr_t

typedef boost::unordered_map<ID_t, KEYLayerPtr_t> libetonyek::KEYLayerMap_t

typedef boost::shared_ptr<KEYLayer> libetonyek::KEYLayerPtr_t

typedef boost::unordered_map<ID_t, KEYLayoutStylePtr_t> libetonyek::KEYLayoutStyleMap_t

typedef boost::shared_ptr<KEYLayoutStyle> libetonyek::KEYLayoutStylePtr_t

typedef boost::shared_ptr<KEYLine> libetonyek::KEYLinePtr_t

typedef boost::unordered_map<ID_t, KEYListStylePtr_t> libetonyek::KEYListStyleMap_t

typedef boost::shared_ptr<KEYListStyle> libetonyek::KEYListStylePtr_t

typedef boost::unordered_map<ID_t, KEYMediaContentPtr_t> libetonyek::KEYMediaContentMap_t

typedef boost::shared_ptr<KEYMediaContent> libetonyek::KEYMediaContentPtr_t

typedef boost::shared_ptr<KEYMedia> libetonyek::KEYMediaPtr_t

typedef std::deque<KEYObjectPtr_t> libetonyek::KEYObjectList_t

A list of presentation objects.

typedef boost::shared_ptr<KEYObject> libetonyek::KEYObjectPtr_t

typedef boost::unordered_map<ID_t, KEYParagraphStylePtr_t> libetonyek::KEYParagraphStyleMap_t

typedef boost::shared_ptr<KEYParagraphStyle> libetonyek::KEYParagraphStylePtr_t

typedef boost::unordered_map<ID_t, KEYPathPtr_t> libetonyek::KEYPathMap_t

typedef boost::shared_ptr<KEYPath> libetonyek::KEYPathPtr_t

typedef boost::unordered_map<ID_t, KEYPlaceholderPtr_t> libetonyek::KEYPlaceholderMap_t

typedef boost::shared_ptr<KEYPlaceholder> libetonyek::KEYPlaceholderPtr_t

typedef boost::unordered_map<ID_t, KEYPlaceholderStylePtr_t> libetonyek::KEYPlaceholderStyleMap_t

typedef boost::shared_ptr<KEYPlaceholderStyle> libetonyek::KEYPlaceholderStylePtr_t

typedef boost::shared_ptr<KEYShape> libetonyek::KEYShapePtr_t

typedef boost::unordered_map<ID_t, KEYSlideStylePtr_t> libetonyek::KEYSlideStyleMap_t

typedef boost::shared_ptr<KEYSlideStyle> libetonyek::KEYSlideStylePtr_t

typedef std::deque<KEYStickyNote> libetonyek::KEYStickyNotes_t

typedef boost::unordered_map<ID_t, KEYStylePtr_t> libetonyek::KEYStyleMap_t

typedef boost::shared_ptr<KEYStyle> libetonyek::KEYStylePtr_t

typedef boost::unordered_map<ID_t, KEYStylesheetPtr_t> libetonyek::KEYStylesheetMap_t

typedef boost::shared_ptr<KEYStylesheet> libetonyek::KEYStylesheetPtr_t

typedef std::deque<KEYTabStop> libetonyek::KEYTabStops_t

typedef boost::unordered_map<ID_t, KEYTabularStylePtr_t> libetonyek::KEYTabularStyleMap_t

typedef boost::shared_ptr<KEYTabularStyle> libetonyek::KEYTabularStylePtr_t

typedef boost::shared_ptr<KEYText> libetonyek::KEYTextPtr_t

typedef boost::unordered_map<ID_t, KEYVectorStylePtr_t> libetonyek::KEYVectorStyleMap_t

typedef boost::shared_ptr<KEYVectorStyle> libetonyek::KEYVectorStylePtr_t

typedef boost::shared_ptr<KEYWrap> libetonyek::KEYWrapPtr_t

typedef boost::shared_ptr<librevenge::RVNGInputStream> libetonyek::RVNGInputStreamPtr_t

## Enumeration Type Documentation

enum libetonyek::KEYAlignment

Enumerator
KEY_ALIGNMENT_LEFT |
KEY_ALIGNMENT_RIGHT |
KEY_ALIGNMENT_CENTER |
KEY_ALIGNMENT_JUSTIFY |

enum libetonyek::KEYBaseline

Enumerator
KEY_BASELINE_NORMAL |
KEY_BASELINE_SUB |
KEY_BASELINE_SUPER |

enum libetonyek::KEYCapitalization

Enumerator
KEY_CAPITALIZATION_NONE |
KEY_CAPITALIZATION_ALL_CAPS |
KEY_CAPITALIZATION_SMALL_CAPS |
KEY_CAPITALIZATION_TITLE |

## Function Documentation

bool libetonyek::approxEqual | ( | double | x,
|  | double | y,
|  | double | eps = `KEY_EPSILON`
| ) |  |

Test two floating point numbers for equality.

- [in] x first number
- [in] y second number
- [in] eps precision

bool libetonyek::approxEqual | ( | const KEYPath & | left,
|  | const KEYPath & | right,
|  | const double | eps
| ) |  |

Referenced by libetonyek::KEYTransformation::approxEqual(), and operator==().

bool libetonyek::checkElement | ( | const KEYXMLReader & | reader,
|  | const int | name,
|  | const int | ns
| ) |  |

Referenced by libetonyek::KEY2TableParser::parse(), libetonyek::KEY2Parser::parseBezier(), libetonyek::KEY2Parser::parseBezierPath(), libetonyek::KEY2Parser::parseBr(), libetonyek::KEY2Parser::parseCallout2Path(), libetonyek::KEY2TableParser::parseColumns(), libetonyek::KEY2Parser::parseConnectionLine(), libetonyek::KEY2Parser::parseConnectionPath(), libetonyek::KEY2Parser::parseContent(), libetonyek::KEY2TableParser::parseCt(), libetonyek::KEY2TableParser::parseD(), libetonyek::KEY2Parser::parseData(), libetonyek::KEY2TableParser::parseDatasource(), libetonyek::KEY2Parser::parseDrawables(), libetonyek::KEY2TableParser::parseDu(), libetonyek::KEY2TableParser::parseF(), libetonyek::KEY2Parser::parseFiltered(), libetonyek::KEY2Parser::parseFilteredImage(), libetonyek::KEY2TableParser::parseG(), libetonyek::KEY2Parser::parseGeometry(), libetonyek::KEY2TableParser::parseGrid(), libetonyek::KEY2TableParser::parseGridColumn(), libetonyek::KEY2TableParser::parseGridRow(), libetonyek::KEY2Parser::parseGroup(), libetonyek::KEY2Parser::parseImage(), libetonyek::KEY2Parser::parseImageMedia(), libetonyek::KEY2Parser::parseLayer(), libetonyek::KEY2Parser::parseLayers(), libetonyek::KEY2Parser::parseLayout(), libetonyek::KEY2Parser::parseLeveled(), libetonyek::KEY2Parser::parseLine(), libetonyek::KEY2Parser::parseLink(), libetonyek::KEY2Parser::parseMasterSlide(), libetonyek::KEY2Parser::parseMasterSlides(), libetonyek::KEY2Parser::parseMedia(), libetonyek::KEY2Parser::parseMetadata(), libetonyek::KEY2Parser::parseMovieMedia(), libetonyek::KEY2TableParser::parseN(), libetonyek::KEY2Parser::parseNotes(), libetonyek::KEY2Parser::parseOtherDatas(), libetonyek::KEY2Parser::parseP(), libetonyek::KEY2Parser::parsePage(), libetonyek::KEY2Parser::parsePath(), libetonyek::KEY2Parser::parsePlaceholder(), libetonyek::KEY2Parser::parsePointPath(), libetonyek::KEY2StyleParser::parsePropertyMap(), libetonyek::KEY2Parser::parseProxyMasterLayer(), libetonyek::KEY2TableParser::parseRows(), libetonyek::KEY2TableParser::parseS(), libetonyek::KEY2Parser::parseScalarPath(), libetonyek::KEY2Parser::parseSelfContainedMovie(), libetonyek::KEY2Parser::parseShape(), libetonyek::KEY2Parser::parseSlide(), libetonyek::KEY2Parser::parseSlideList(), libetonyek::KEY2TableParser::parseSo(), libetonyek::KEY2Parser::parseSpan(), libetonyek::KEY2Parser::parseStickyNote(), libetonyek::KEY2Parser::parseStickyNotes(), libetonyek::KEY2Parser::parseStyles(), libetonyek::KEY2Parser::parseStylesheet(), libetonyek::KEY2TableParser::parseT(), libetonyek::KEY2Parser::parseTab(), libetonyek::KEY2TableParser::parseTabularModel(), libetonyek::KEY2Parser::parseText(), libetonyek::KEY2Parser::parseTextBody(), libetonyek::KEY2Parser::parseTextStorage(), libetonyek::KEY2Parser::parseTheme(), libetonyek::KEY2Parser::parseThemeList(), libetonyek::KEY2Parser::parseUnfiltered(), and libetonyek::KEY2Parser::processXmlNode().

bool libetonyek::checkEmptyElement | ( | const KEYXMLReader & | reader | ) |

Referenced by libetonyek::KEY2Parser::parseBezier(), libetonyek::PAGParser::parseBr(), libetonyek::KEY2Parser::parseBr(), libetonyek::KEY2TableParser::parseD(), libetonyek::KEY2Parser::parseData(), libetonyek::KEY2TableParser::parseDu(), libetonyek::KEY2TableParser::parseG(), libetonyek::KEY2TableParser::parseGridColumn(), libetonyek::KEY2TableParser::parseGridRow(), libetonyek::KEY2TableParser::parseN(), libetonyek::KEY2StyleParser::parsePropertyImpl(), libetonyek::KEY2TableParser::parseS(), libetonyek::PAGParser::parseTab(), libetonyek::KEY2Parser::parseTab(), readOnlyElementAttribute(), and libetonyek::KEY2ParserUtils::readPoint().

bool libetonyek::checkNoAttributes | ( | const KEYXMLReader & | reader | ) |

Referenced by libetonyek::KEY2Parser::parseBr(), libetonyek::KEY2Parser::parseContent(), libetonyek::KEY2Parser::parseOtherDatas(), libetonyek::KEY2Parser::parsePlaceholder(), libetonyek::KEY2StyleParser::parseProperty(), libetonyek::KEY2StyleParser::parsePropertyMap(), libetonyek::KEY2Parser::parseSelfContainedMovie(), libetonyek::KEY2Parser::parseStyles(), libetonyek::KEY2Parser::parseTab(), and libetonyek::KEY2Parser::parseTextBody().

void libetonyek::drawAll | ( | const KEYObjectList_t & | list,
|  | const KEYOutput & | output
| ) |  |

Draw all objects of list using `output` as context.

- [in] list the object list
- [in] output the output to use

int libetonyek::getId | ( | const KEYXMLReader::AttributeIterator & | attribute | ) |

Referenced by libetonyek::KEY2TableParser::parse(), libetonyek::PAGParser::parseBr(), libetonyek::KEY2TableParser::parseColumns(), libetonyek::KEY2TableParser::parseCommonCellAttribute(), libetonyek::KEY2TableParser::parseCt(), libetonyek::KEY2TableParser::parseDatasource(), libetonyek::NUMParser::parseDocument(), libetonyek::PAGParser::parseDocument(), libetonyek::PAGParser::parseFooters(), libetonyek::KEY2TableParser::parseGrid(), libetonyek::KEY2TableParser::parseGridColumn(), libetonyek::KEY2TableParser::parseGridRow(), libetonyek::PAGParser::parseHeaders(), libetonyek::KEY2Parser::parseImage(), libetonyek::PAGParser::parseLayout(), libetonyek::KEY2Parser::parseMasterSlide(), libetonyek::PAGParser::parseMetadata(), libetonyek::KEY2Parser::parseMovieMedia(), libetonyek::KEY2TableParser::parseN(), libetonyek::KEY2Parser::parseNotes(), libetonyek::KEY2Parser::parseOtherDatas(), libetonyek::PAGParser::parseP(), libetonyek::KEY2StyleParser::parseProperty(), libetonyek::KEY2StyleParser::parsePropertyImpl(), libetonyek::KEY2TableParser::parseRows(), libetonyek::KEY2TableParser::parseS(), libetonyek::PAGParser::parseSection(), libetonyek::PAGParser::parseSectionPrototypes(), libetonyek::KEY2Parser::parseSelfContainedMovie(), libetonyek::KEY2TableParser::parseSo(), libetonyek::PAGParser::parseSpan(), libetonyek::PAGParser::parseStylesheet(), libetonyek::KEY2TableParser::parseT(), libetonyek::PAGParser::parseTab(), libetonyek::KEY2TableParser::parseTabularModel(), libetonyek::PAGParser::parseTextBody(), and libetonyek::PAGParser::parseTextStorage().

int libetonyek::getId | ( | const KEYXMLReader::ElementIterator & | element | ) |

int libetonyek::getId | ( | const KEYXMLReader & | reader | ) |

int libetonyek::getNameId | ( | const KEYXMLReader::AttributeIterator & | attribute | ) |

Referenced by checkElement(), libetonyek::KEY2StyleParser::parse(), libetonyek::KEY2Parser::parseBezier(), libetonyek::KEY2Parser::parseBezierPath(), libetonyek::KEY2Parser::parseCallout2Path(), libetonyek::KEY2Parser::parseConnectionLine(), libetonyek::KEY2Parser::parseConnectionPath(), libetonyek::KEY2Parser::parseContent(), libetonyek::KEY2Parser::parseData(), libetonyek::KEY2Parser::parseDrawables(), libetonyek::KEY2Parser::parseFiltered(), libetonyek::KEY2Parser::parseFilteredImage(), libetonyek::KEY2Parser::parseGeometry(), libetonyek::KEY2Parser::parseGroup(), libetonyek::KEY2Parser::parseImage(), libetonyek::KEY2Parser::parseImageMedia(), libetonyek::KEY2Parser::parseLayer(), libetonyek::KEY2Parser::parseLayers(), libetonyek::KEY2Parser::parseLayout(), libetonyek::KEY2Parser::parseLeveled(), libetonyek::KEY2Parser::parseLine(), libetonyek::KEY2Parser::parseLink(), libetonyek::KEY2Parser::parseMasterSlide(), libetonyek::KEY2Parser::parseMasterSlides(), libetonyek::KEY2Parser::parseMedia(), libetonyek::KEY2Parser::parseP(), libetonyek::KEY2Parser::parsePage(), libetonyek::KEY2Parser::parsePath(), libetonyek::KEY2Parser::parsePlaceholder(), libetonyek::KEY2Parser::parsePointPath(), libetonyek::KEY2StyleParser::parsePropertyImpl(), libetonyek::KEY2StyleParser::parsePropertyMap(), libetonyek::KEY2Parser::parseProxyMasterLayer(), libetonyek::KEY2Parser::parseScalarPath(), libetonyek::KEY2Parser::parseShape(), libetonyek::KEY2Parser::parseSlide(), libetonyek::KEY2Parser::parseSlideList(), libetonyek::KEY2Parser::parseSpan(), libetonyek::KEY2Parser::parseStickyNote(), libetonyek::KEY2Parser::parseStickyNotes(), libetonyek::KEY2Parser::parseStyles(), libetonyek::KEY2Parser::parseStylesheet(), libetonyek::KEY2Parser::parseText(), libetonyek::KEY2Parser::parseTextBody(), libetonyek::KEY2Parser::parseTextStorage(), libetonyek::KEY2Parser::parseTheme(), libetonyek::KEY2Parser::parseThemeList(), libetonyek::KEY2Parser::parseUnfiltered(), libetonyek::KEY2Parser::processXmlNode(), libetonyek::KEY2StyleParser::readGeometry(), libetonyek::KEY2ParserUtils::readID(), readOnlyAttribute(), and libetonyek::KEY2ParserUtils::readPoint().

int libetonyek::getNameId | ( | const KEYXMLReader::ElementIterator & | element | ) |

int libetonyek::getNameId | ( | const KEYXMLReader & | reader | ) |

int libetonyek::getNamespaceId | ( | const KEYXMLReader::AttributeIterator & | attribute | ) |

Referenced by checkElement(), libetonyek::KEY2StyleParser::parse(), libetonyek::KEY2Parser::parseBezier(), libetonyek::KEY2Parser::parseBezierPath(), libetonyek::KEY2Parser::parseCallout2Path(), libetonyek::KEY2Parser::parseConnectionLine(), libetonyek::KEY2Parser::parseConnectionPath(), libetonyek::KEY2Parser::parseContent(), libetonyek::KEY2Parser::parseData(), libetonyek::KEY2Parser::parseDrawables(), libetonyek::KEY2Parser::parseFiltered(), libetonyek::KEY2Parser::parseFilteredImage(), libetonyek::KEY2Parser::parseGeometry(), libetonyek::KEY2Parser::parseGroup(), libetonyek::KEY2Parser::parseImage(), libetonyek::KEY2Parser::parseImageMedia(), libetonyek::KEY2Parser::parseLayer(), libetonyek::KEY2Parser::parseLayers(), libetonyek::KEY2Parser::parseLayout(), libetonyek::KEY2Parser::parseLeveled(), libetonyek::KEY2Parser::parseLine(), libetonyek::KEY2Parser::parseLink(), libetonyek::KEY2Parser::parseMasterSlide(), libetonyek::KEY2Parser::parseMasterSlides(), libetonyek::KEY2Parser::parseMedia(), libetonyek::KEY2Parser::parseP(), libetonyek::KEY2Parser::parsePage(), libetonyek::KEY2Parser::parsePath(), libetonyek::KEY2Parser::parsePlaceholder(), libetonyek::KEY2Parser::parsePointPath(), libetonyek::KEY2StyleParser::parsePropertyImpl(), libetonyek::KEY2StyleParser::parsePropertyMap(), libetonyek::KEY2Parser::parseProxyMasterLayer(), libetonyek::KEY2Parser::parseScalarPath(), libetonyek::KEY2Parser::parseShape(), libetonyek::KEY2Parser::parseSlide(), libetonyek::KEY2Parser::parseSlideList(), libetonyek::KEY2Parser::parseSpan(), libetonyek::KEY2Parser::parseStickyNote(), libetonyek::KEY2Parser::parseStickyNotes(), libetonyek::KEY2Parser::parseStyles(), libetonyek::KEY2Parser::parseStylesheet(), libetonyek::KEY2Parser::parseText(), libetonyek::KEY2Parser::parseTextBody(), libetonyek::KEY2Parser::parseTextStorage(), libetonyek::KEY2Parser::parseTheme(), libetonyek::KEY2Parser::parseThemeList(), libetonyek::KEY2Parser::parseUnfiltered(), libetonyek::KEY2Parser::processXmlNode(), libetonyek::KEY2StyleParser::readGeometry(), libetonyek::KEY2ParserUtils::readID(), readOnlyAttribute(), and libetonyek::KEY2ParserUtils::readPoint().

int libetonyek::getNamespaceId | ( | const KEYXMLReader::ElementIterator & | element | ) |

int libetonyek::getNamespaceId | ( | const KEYXMLReader & | reader | ) |

int libetonyek::getTextId | ( | const KEYXMLReader::ElementIterator & | element | ) |

int libetonyek::getValueId | ( | const KEYXMLReader::AttributeIterator & | attribute | ) |

Referenced by libetonyek::KEY2Parser::parsePointPath(), libetonyek::KEY2Parser::parseScalarPath(), libetonyek::PAGParser::parseTextStorage(), and libetonyek::KEY2Parser::processXmlNode().

KEYPathPtr_t libetonyek::makeArrowPath | ( | const KEYSize & | size,
|  | const double | headWidth,
|  | const double | stemThickness
| ) |  |

Referenced by libetonyek::KEYCollectorBase::collectArrowPath().

KEYPathPtr_t libetonyek::makeCalloutPath | ( | const KEYSize & | size,
|  | const double | radius,
|  | const double | tailSize,
|  | const double | tailX,
|  | const double | tailY
| ) |  |

Referenced by libetonyek::KEYCollectorBase::collectCalloutPath(), and makeQuoteBubblePath().

KEYPathPtr_t libetonyek::makeConnectionPath | ( | const KEYSize & | size,
|  | const double | middleX,
|  | const double | middleY
| ) |  |

Referenced by libetonyek::KEYCollectorBase::collectConnectionPath().

KEYPathPtr_t libetonyek::makeDoubleArrowPath | ( | const KEYSize & | size,
|  | const double | headWidth,
|  | const double | stemThickness
| ) |  |

Referenced by libetonyek::KEYCollectorBase::collectArrowPath().

KEYObjectPtr_t libetonyek::makeObject | ( | const KEYShapePtr_t & | shape | ) |

Object creator function for shape.

Referenced by libetonyek::KEYCollectorBase::collectGroup(), libetonyek::KEYCollectorBase::collectImage(), libetonyek::KEYCollectorBase::collectLine(), libetonyek::KEYCollectorBase::collectMedia(), libetonyek::KEYCollectorBase::collectNote(), libetonyek::KEYCollectorBase::collectShape(), libetonyek::KEYCollectorBase::collectTable(), libetonyek::KEYCollectorBase::collectTableCell(), libetonyek::KEYCollectorBase::collectTextPlaceholder(), and libetonyek::KEYContentCollector::drawStickyNotes().

KEYObjectPtr_t libetonyek::makeObject | ( | const KEYTable & | table | ) |

KEYObjectPtr_t libetonyek::makeObject | ( | const KEYTextPtr_t & | text | ) |

KEYObjectPtr_t libetonyek::makeObject | ( | const KEYGroupPtr_t & | group | ) |

KEYObjectPtr_t libetonyek::makeObject | ( | const KEYImagePtr_t & | image | ) |

KEYObjectPtr_t libetonyek::makeObject | ( | const KEYLinePtr_t & | line | ) |

KEYObjectPtr_t libetonyek::makeObject | ( | const KEYMediaPtr_t & | media | ) |

KEYObjectPtr_t libetonyek::makeObject | ( | const KEYPlaceholderPtr_t & | body | ) |

KEYPathPtr_t libetonyek::makePolygonPath | ( | const KEYSize & | size,
|  | const unsigned | edges
| ) |  |

Path creator functions for stock shapes.

Referenced by libetonyek::KEYCollectorBase::collectPolygonPath().

KEYPathPtr_t libetonyek::makeQuoteBubblePath | ( | const KEYSize & | size,
|  | const double | radius,
|  | const double | tailSize,
|  | const double | tailX,
|  | const double | tailY
| ) |  |

Referenced by libetonyek::KEYCollectorBase::collectCalloutPath().

KEYPathPtr_t libetonyek::makeRoundedRectanglePath | ( | const KEYSize & | size,
|  | const double | radius
| ) |  |

Referenced by libetonyek::KEYCollectorBase::collectRoundedRectanglePath().

KEYPathPtr_t libetonyek::makeStarPath | ( | const KEYSize & | size,
|  | const unsigned | points,
|  | const double | innerRadius
| ) |  |

Referenced by libetonyek::KEYCollectorBase::collectStarPath().

KEYTransformation libetonyek::makeTransformation | ( | const KEYGeometry & | geometry | ) |

Create a transformation from a geometry.

- [in] a geometry
  Returns
    the created transformation

Referenced by libetonyek::KEYContentCollector::drawStickyNotes().

bool libetonyek::operator!= | ( | const KEYTransformation & | left,
|  | const KEYTransformation & | right
| ) |  |

Tests for inequality of transformations.

- [in] left the first transformation
- [in] right the second transformation
  Returns
    `true` if the transformations are not equal, `false` if they are

bool libetonyek::operator!= | ( | const KEYPath & | left,
|  | const KEYPath & | right
| ) |  |

KEYTransformation libetonyek::operator* | ( | const KEYTransformation & | left,
|  | const KEYTransformation & | right
| ) |  |

Create a new transformation as a composition of two transformations.

Application of the resulting transformation has the same effect as if transformation `left` was applied before `right`.

Returns
  the new transformation

KEYPath libetonyek::operator* | ( | const KEYPath & | path,
|  | const KEYTransformation & | tr
| ) |  |

Create a transformed path.

- [in] path the path
- [in] tr the transformation
  Returns
    the transformed path

bool libetonyek::operator== | ( | const KEYTransformation & | left,
|  | const KEYTransformation & | right
| ) |  |

Tests for equality of transformations.

- [in] left the first transformation
- [in] right the second transformation
  Returns
    `true` if the transformations are equal, `false` if they are not

bool libetonyek::operator== | ( | const KEYPath & | left,
|  | const KEYPath & | right
| ) |  |

double libetonyek::pt2in | ( | double | d | ) |

Convert a length from points to inches.

- [in] d length in points
  Returns
    length in inches

Referenced by libetonyek::KEYTable::draw(), libetonyek::KEYContentCollector::drawStickyNotes(), and libetonyek::KEYContentCollector::startPage().

std::string libetonyek::readOnlyAttribute | ( | const KEYXMLReader & | reader,
|  | const int | name,
|  | const int | ns
| ) |  |

Referenced by readOnlyElementAttribute().

std::string libetonyek::readOnlyElementAttribute | ( | const KEYXMLReader & | reader,
|  | const int | name,
|  | const int | ns
| ) |  |

Referenced by libetonyek::KEY2Parser::parseProxyMasterLayer(), and libetonyek::KEY2ParserUtils::readRef().

uint16_t libetonyek::readU16 | ( | const RVNGInputStreamPtr_t & | input,
|  | bool | bigEndian
| ) |  |

uint32_t libetonyek::readU32 | ( | const RVNGInputStreamPtr_t & | input,
|  | bool | bigEndian
| ) |  |

uint64_t libetonyek::readU64 | ( | const RVNGInputStreamPtr_t & | input,
|  | bool | bigEndian
| ) |  |

uint8_t libetonyek::readU8 | ( | const RVNGInputStreamPtr_t & | input,
|  | bool |
| ) |  |

Referenced by libetonyek::KEYMemoryStream::KEYMemoryStream().

void libetonyek::skipElement | ( | const KEYXMLReader & | reader | ) |

Referenced by checkEmptyElement(), libetonyek::KEY2TableParser::parse(), libetonyek::KEY2StyleParser::parse(), libetonyek::KEY2Parser::parseBezierPath(), libetonyek::KEY2Parser::parseCallout2Path(), libetonyek::KEY2TableParser::parseColumns(), libetonyek::KEY2Parser::parseConnectionLine(), libetonyek::KEY2Parser::parseConnectionPath(), libetonyek::KEY2Parser::parseContent(), libetonyek::KEY2TableParser::parseCt(), libetonyek::KEY2TableParser::parseDatasource(), libetonyek::NUMParser::parseDocument(), libetonyek::PAGParser::parseDocument(), libetonyek::KEY2Parser::parseDrawables(), libetonyek::KEY2TableParser::parseF(), libetonyek::KEY2Parser::parseFiltered(), libetonyek::KEY2Parser::parseFilteredImage(), libetonyek::PAGParser::parseFooters(), libetonyek::KEY2Parser::parseGeometry(), libetonyek::KEY2TableParser::parseGrid(), libetonyek::KEY2Parser::parseGroup(), libetonyek::PAGParser::parseHeaders(), libetonyek::KEY2Parser::parseImage(), libetonyek::KEY2Parser::parseImageMedia(), libetonyek::KEY2Parser::parseLayer(), libetonyek::KEY2Parser::parseLayers(), libetonyek::PAGParser::parseLayout(), libetonyek::KEY2Parser::parseLayout(), libetonyek::KEY2Parser::parseLeveled(), libetonyek::KEY2Parser::parseLine(), libetonyek::KEY2Parser::parseLink(), libetonyek::KEY2Parser::parseMasterSlide(), libetonyek::KEY2Parser::parseMasterSlides(), libetonyek::KEY2Parser::parseMedia(), libetonyek::KEY2Parser::parseMetadata(), libetonyek::PAGParser::parseMetadata(), libetonyek::KEY2Parser::parseMovieMedia(), libetonyek::KEY2Parser::parseNotes(), libetonyek::KEY2Parser::parseOtherDatas(), libetonyek::PAGParser::parseP(), libetonyek::KEY2Parser::parseP(), libetonyek::KEY2Parser::parsePage(), libetonyek::KEY2Parser::parsePath(), libetonyek::KEY2Parser::parsePlaceholder(), libetonyek::KEY2Parser::parsePointPath(), libetonyek::KEY2StyleParser::parseProperty(), libetonyek::KEY2StyleParser::parsePropertyImpl(), libetonyek::KEY2StyleParser::parsePropertyMap(), libetonyek::KEY2Parser::parseProxyMasterLayer(), libetonyek::KEY2TableParser::parseRows(), libetonyek::KEY2Parser::parseScalarPath(), libetonyek::PAGParser::parseSection(), libetonyek::PAGParser::parseSectionPrototypes(), libetonyek::KEY2Parser::parseSelfContainedMovie(), libetonyek::KEY2Parser::parseShape(), libetonyek::KEY2Parser::parseSlide(), libetonyek::KEY2Parser::parseSlideList(), libetonyek::KEY2TableParser::parseSo(), libetonyek::PAGParser::parseSpan(), libetonyek::KEY2Parser::parseSpan(), libetonyek::KEY2Parser::parseStickyNote(), libetonyek::KEY2Parser::parseStickyNotes(), libetonyek::KEY2Parser::parseStyles(), libetonyek::PAGParser::parseStylesheet(), libetonyek::KEY2Parser::parseStylesheet(), libetonyek::KEY2TableParser::parseT(), libetonyek::KEY2TableParser::parseTabularModel(), libetonyek::KEY2Parser::parseText(), libetonyek::KEY2Parser::parseTextBody(), libetonyek::PAGParser::parseTextBody(), libetonyek::PAGParser::parseTextStorage(), libetonyek::KEY2Parser::parseTextStorage(), libetonyek::KEY2Parser::parseTheme(), libetonyek::KEY2Parser::parseThemeList(), libetonyek::KEY2Parser::parseUnfiltered(), libetonyek::KEY2Parser::processXmlNode(), and libetonyek::KEY2StyleParser::readGeometry().